# OS_Thread_Adapter.h File Reference

`#include "ace/Base_Thread_Adapter.h"`
`#include "ace/ACE_export.h"`

Include dependency graph for OS_Thread_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_OS_Thread_Adapter
| Converts a C++ function into a function that can be called from a thread creation routine (e.g., pthread_create() or _beginthreadex()) that expects an extern "C" entry point. This class also makes it possible to transparently provide hooks to register a thread with an ACE_Thread_Manager. More...

## Detailed Description

Id
  OS_Thread_Adapter.h,v 4.10 2005/10/28 16:14:54 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>